e-newsletter install permissions

Just installed e-newsletter - I try to configure it BUT I get a message saying i have insufficient permissions.

The Plugin is installed and activated this is when I hit install for the forst time from the e-newsleter config screen